=== debian/changelog ===
hurd (1:0.9.git20171119-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Bump Standards-Version to 4.1.1 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Nov 2017 13:24:00 +0000

hurd (1:0.9.git20170910-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add libgcrypt20-dev build dependency.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Sep 2017 23:53:29 +0000

hurd (1:0.9.git20170507-1) unstable; urgency=medium

  * New upstream snapshot.
  * backport git-26e774bab06eab72847a7ca052a90d5319ad658a to fix glibc build.
  * backport git-019f9923e879ff326b14b2de04c6939c07ccb55b to drop spurious
    ext2fs warnings in d-i.
  * patches/exec_set_exe.patch: Avoid erroring out when proc does not support
    proc_set_exe.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Jun 2017 19:25:32 +0000

hurd (1:0.9.git20170310-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use canonical anonscm vcs URL.
  * patches/exec_set_exe.patch: Fix crash in procfs when exe is empty.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Mar 2017 23:09:53 +0000

hurd (1:0.9.git20170304-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/exec_set_exe.patch: Copy exe value on fork. Closes: Bug#851729.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Mar 2017 20:10:51 +0000

hurd (1:0.9.git20170117-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/exec_set_exe.patch: New patch to implement /proc/<pid>/exe.
  * control: Break old versions of all gnumach packages for vm_wire_all.
  * debian/local/runsystem: Do not hardcode TERM_TYPE to virtual, fixes
    special handling of serial installation case.
  * patches/procfs: Drop revert patch, /proc/self support in libc is now ready.
  * control: Bump libc0.3 Breaks accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jan 2017 10:35:43 +0000

hurd (1:0.9.git20170102-1) unstable; urgency=medium

  * New upstream snapshot.
    - newRPC.patch: Update.
    - patches/procfs: New patch to revert /proc/self being magic for now since
    glibc is not ready yet.
    - control: Break old gnumachs, which do not have vm_wire_all, build-depend
    on newers.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jan 2017 17:47:46 +0000

hurd (1:0.9.git20161219-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.

  [ Svante Signell ]
  * Make hurd Depend on sysv-rc | openrc instead of just sysv-rc.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Dec 2016 15:51:26 +0000

hurd (1:0.8.git20161120-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump gnumach-dev build dependency.
  * disable_new_task_notification.diff: Drop, port leak is fixed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Nov 2016 21:48:56 +0000

hurd (1:0.8.git20161115-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/{console-wire.patch,time-fix.patch}: Drop, merged upstream.
  * control: Make hurd-prof Priority: extra instead of required.
  * local/setup-translators: Default crash server to dumping core.
  * rules: Disable pie hardening.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Nov 2016 20:15:29 +0000

hurd (1:0.8.git20161023-3) unstable; urgency=medium

  * patches/console-wire.patch: Fix console hang on console data paging out.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Oct 2016 20:36:29 +0000

hurd (1:0.8.git20161023-2) unstable; urgency=medium

  * patches/time-fix.patch: Fix timestamp update on file close.
    Closes: Bug#842271.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Oct 2016 16:47:05 +0000

hurd (1:0.8.git20161023-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
  * Drop gcc-5 Build-Depends, we already build with gcc-6 anyway.
    Closes: Bug#835948.
  * hurd.install.in: Install runsystem.hurd in /etc/hurd
  * patches/{libexec.patch,startup-usr-support.patch}: Update for
    runsystem.hurd. Closes: Bug#836529.
  * control: Don't build hurd-prof in noprof build profile.
  * control: Add missing lsb-base dependency.

  [ Kalle Olavi Niemitalo ]
  * patches/exec_filename_rpctrace.patch: rpctrace: Pass prefixed_name to
    _hurd_exec_file_name. Closes: Bug#835513.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2016 22:23:11 +0000

hurd (1:0.8.git20160826-1) unstable; urgency=medium

  * New upstream snapshot, fixes loading small pic programs.
  * Fix screen-udeb by adding more ptys for d-i.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2016 01:05:01 +0000

hurd (1:0.8.git20160809-1) unstable; urgency=medium

  * New upstream snapshot. Closes: Bug#833557.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Aug 2016 21:54:42 +0000

hurd (1:0.8.git20160522-4) unstable; urgency=medium

  * patches/git-dd93fc4bfbaceb65ded2aefca35042438c95f4d5: Cherry-pick from
    upstream to fix nfs assertion failure.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Jun 2016 23:02:40 +0000

hurd (1:0.8.git20160522-3) unstable; urgency=medium

  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/git-malloc-hook: Cherry-pick from upstream to fix potential
    mach-defpager hang.
  * patches/git-293e86998748bae2d7a8179ad198ec3452f0d472: Cherry-pick from
    upstream to fix zero-byte pipe writes.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Jun 2016 21:17:45 +0000

hurd (1:0.8.git20160522-2) unstable; urgency=medium

  * patches/git-0ab3825f250486453892e3e18a702a44538bff6d: Cherry-pick fix
    from upstream.
  * patches/git-60d14f5b3c4ea27af6f4220a15947c328bc888ee: Cherry-pick fix
    from upstream, fixes some reference counting assertion failures.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 13:41:50 +0000

hurd (1:0.8.git20160522-1) unstable; urgency=medium

  * New upstream release & snapshot.


