=== debian/control ===
Source: hurd
Section: admin
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Standards-Version: 4.1.1
Build-Depends:
 mig (>= 1.4-3~) <!stage1 !stage2 !stage3>,
 gnumach-dev (>= 2:1.8+git20170102-1~) <!stage1 !stage2>,
 libc0.3-dev (>= 2.17-94~) <!stage1>, texinfo,
 debhelper (>= 9.20150628), dpkg-dev (>= 1.17.14), dh-exec (>= 0.17),
 autoconf, dh-autoreconf,
 gawk, flex, bison, autotools-dev,
 libgcrypt20-dev <!stage1 !stage2 !stage3>,
 libncursesw5-dev <!stage1 !stage2 !stage3>,
 libparted-dev <!stage1 !stage2 !stage3>,
 libpciaccess-dev <!stage1 !stage2 !stage3>,
 libx11-dev <!stage1 !stage2 !stage3>,
 x11proto-core-dev <!stage1 !stage2 !stage3>,
 pkg-config <!stage1 !stage2 !stage3>,
 xkb-data <!stage1 !stage2 !stage3>,
 libdaemon-dev <!stage1 !stage2 !stage3>,
 libpcap0.8-dev <!stage1 !stage2 !stage3>,
 zlib1g-dev <!stage1 !stage2 !stage3>,
 libbz2-dev <!stage1 !stage2 !stage3>,
 uuid-dev <!stage1 !stage2 !stage3>,
 libblkid-dev <!stage1 !stage2 !stage3>
Uploaders: Michael Banck <mbanck@debian.org>, 
 Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: https://anonscm.debian.org/git/pkg-hurd/hurd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hurd/hurd.git

Package: hurd-libs0.3
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: netdde (<< 0.0.20121127-3+)
Architecture: hurd-any
Build-Profiles: <!stage1 !stage2>
Multi-Arch: same
Description: GNU Hurd (libraries)
 This package contains the libraries used by GNU Hurd.

Package: hurd
Essential: yes
Pre-Depends: hurd-libs0.3
Depends: ${misc:Depends}, lsb-base (>= 3.0-6), hurd-libs0.3 (= ${binary:Version}), sysv-rc <!stage3> | openrc <!stage3>, netdde (>= 0.0.20120518~) <!stage3>, ${shlibs:Depends}, xkb-data <!stage3>
Breaks: gnumach-image-1-486 (<< 2:1.8+git20170102-1~),
	gnumach-image-1-xen-486 (<< 2:1.8+git20170102-1~),
	gnumach-image-1.8-486 (<< 2:1.8+git20170102-1~),
	gnumach-image-1.8-486-dbg (<< 2:1.8+git20170102-1~),
	gnumach-image-1.8-xen-486 (<< 2:1.8+git20170102-1~),
	gnumach-image-1.8-xen-486-dbg (<< 2:1.8+git20170102-1~),
	libc0.3 (<< 2.24-9~), netdde (<< 0.0.20121127-2)
Built-Using: ${built-using}
Suggests: hurd-doc
Recommends: bf-utf-source
Provides: makedev, login, console-driver-xkb
Replaces: makedev, login (<< 1:4.0.14-4), random-egd, console-driver-xkb
Conflicts: makedev, login (<< 1:4.0.14-4), console-driver-xkb
Architecture: hurd-any
Build-Profiles: <!stage1 !stage2>
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries.

Package: hurd-prof
Priority: optional
Pre-Depends: hurd-libs0.3
Depends: ${misc:Depends}, hurd-libs0.3 (= ${binary:Version}), ${shlibs:Depends}, xkb-data <!stage3>
Breaks: gnumach (<< 2:1.3.99.dfsg.cvs20070526-1), libc0.3 (<< 2.19-15~), netdde (<< 0.0.20121127-2)
Built-Using: ${built-using}
Suggests: hurd-doc
Recommends: bf-utf-source
Architecture: hurd-any
Build-Profiles: <!stage1 !stage2 !noprof>
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries, with gprof profiling enabled.

Package: hurd-dev
Priority: standard
Section: libdevel
Architecture: hurd-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 libc0.3-dev (>= 2.13-31~) <!stage1>, hurd (= ${binary:Version}) <!stage3>
Provides: hurd-headers-dev, libihash-dev, libdde-linux26-dev <!stage3>
Replaces: hurd (<< 20130226-2~), hurd-headers-dev, libihash-dev
Breaks: hurd (<< 20130226-2~), hurd-headers-dev, libihash-dev
Build-Profiles: <!stage1 !stage2>
Description: GNU Hurd (development files)
 This package includes the header files and the static libraries.

# Dropped for now, see #818618 and #838392
#Package: hurd-headers-dev
#Priority: standard
#Section: libdevel
#Architecture: hurd-any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Build-Profiles: <stage1> <stage2>
#Description: GNU Hurd (development files)
# This package includes the header files and the static libraries.
# .
# This package is only used for bootstrap, it contains headers needed for libc
#
#Package: libihash-dev
#Priority: standard
#Section: libdevel
#Architecture: hurd-any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Build-Profiles: <stage2>
#Description: GNU Hurd (development files)
# This package includes the header files and the static libraries.
# .
# This package is only used for bootstrap, it contains libihash needed for libc.

Package: hurd-doc
Priority: optional
Section: doc
Architecture: all
Build-Profiles: <!stage1 !stage2>
Depends: ${misc:Depends}
Suggests: www-browser
Description: GNU Hurd manual
 This package includes the manual in info and HTML format.

Package: hurd-libs0.3-udeb
Section: debian-installer
Package-Type: udeb
Priority: optional
Architecture: hurd-any
Build-Profiles: <!noudeb !stage1 !stage2 !stage3>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU Hurd (libraries) - udeb
 This package contains the libraries used by GNU Hurd udeb.

Package: hurd-udeb
Package-Type: udeb
Priority: optional
Section: debian-installer
Architecture: hurd-any
Build-Profiles: <!noudeb !stage1 !stage2 !stage3>
Depends: ${misc:Depends}, ${shlibs:Depends}, hurd-libs0.3-udeb (= ${binary:Version}), xkb-data-udeb
Built-Using: ${built-using}
Provides: hurd, ext2-modules, fat-modules, ipv6-modules, isofs-modules, loop-modules, mouse-modules, nfs-modules, socket-modules
Description: GNU Hurd - udeb
 This is the GNU Hurd udeb package. It contains essential system software and
 libraries.
